import { OnInit, ViewContainerRef, ComponentFactoryResolver, QueryList, AfterViewInit, ChangeDetectorRef, ElementRef, Renderer2 } from '@angular/core';
import { CardCSS } from '../models/cardcss.model';
import { UtilitiesService } from '../util/utilities.service';
import { ComponentGenFactoryService } from '../util/component-gen-factory.service';
export declare class TbCarouselStackedCardComponent implements OnInit, AfterViewInit {
    private resolver;
    private compGenFactoryService;
    utility: UtilitiesService;
    private changeDetector;
    private elRef;
    private renderer;
    marginLeft: string;
    marginTop: string;
    highestZIndex: number;
    centerPosition: number;
    centerPositionVertical: number;
    cssStylesArray: CardCSS[];
    arrayOfPosFirstHalf: number[];
    arrayOfPosLastHalf: number[];
    arrayOfPosFirstHalfVertical: number[];
    arrayOfPosLastHalfVertical: number[];
    arrayOfZIndexes: number[];
    arrayOfZIndexesReverse: number[];
    arrayOfCardSizeHalf: number[];
    arrayOfCardSizeHalfReverse: number[];
    componentRef: any;
    /** */
    timeInterval: number;
    stopScrollOnHover: boolean;
    autoRotate: any;
    data: any[];
    visibleBlocks: number;
    orientation: string;
    component: number;
    dataType: string;
    heightOfBox: string;
    widthOfBox: string;
    tbStyle: {
        [key: string]: string;
    };
    property: string[];
    values: string[];
    containerHeight: string;
    containerWidth: string;
    tbTransition: string;
    tbImageStyle: any;
    /**Navigation arrow properties */
    arrowHeight: string;
    arrowColor: string;
    arrowColor2: string;
    arrowWidth: string;
    arrowTopMargin: string;
    arrowColorTemp: string;
    arrowBorder: any;
    arrowColorTemp1: string;
    arrowBorder1: any;
    showNav: string;
    navArrowOpacity: number;
    showNavArrow: boolean;
    /**Methods*/
    widgetTargets: QueryList<ViewContainerRef>;
    commonCard: QueryList<ElementRef>;
    constructor(resolver: ComponentFactoryResolver, compGenFactoryService: ComponentGenFactoryService, utility: UtilitiesService, changeDetector: ChangeDetectorRef, elRef: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    destroyComponent(): void;
    ngOnInit(): void;
    generatePositions(): void;
    generatePositionsVertical(): void;
    generateSize(): void;
    generateSizeReverse(): void;
    generateZIndex(): void;
    generateZIndexReverse(): void;
    getScale(x: number, y: number, z: number): string;
    getZIndex(index: number): number;
    getLeft(margin: number): string;
    getTop(margin: number): string;
    getDisplay(display: string): string;
    generateCssStyles(): void;
    moveNext(): void;
    movePrevious(): void;
    changeArrowColor(): void;
    changeArrowColorOut(): void;
    changeArrowColor1(): void;
    changeArrowColorOut1(): void;
    pauseMethod(): void;
    resumeMethod(): void;
}
